Bug 451752 - Review Request: ghc-curl - Haskell binding to libcurl
Review Request: ghc-curl - Haskell binding to libcurl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://hackage.haskell.org/cgi-bin/ha...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 23:42 EDT by Rajesh Krishnan
Modified: 2010-01-25 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 19:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ghc-curl-1.3.2-1.spec (3.86 KB, text/plain)
2008-06-16 23:42 EDT, Rajesh Krishnan
no flags Details

  None (edit)
Description Rajesh Krishnan 2008-06-16 23:42:49 EDT
Version-Release number of selected component (if applicable):
1.3.2

Steps to Reproduce:
1.  Download 
http://hackage.haskell.org/packages/archive/curl/1.3.2/curl-1.3.2.tar.gz
    to rpmbuild/SOURCES folder.
2.  Copy attached <this-package>-<this-version>.spec to rpmbuild/SPECS folder.
3.  Copy the attached *.patch files to the rpmbuild/SOURCES folder (if any).
4.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba \
    rpmbuild/SPECS/<this-package>-<this-version>.spec
  
Actual results:
--

Expected results:
1. You should see the compiled RPM and SRPM binaries in the respective 
folders.
2. After installing the RPM package, you should be able to import the relevant 
module:
$ ghci
ghci>  :m + <module-name-from-package>


Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess, but I tested only on 
Fedora-8).
Comment 1 Rajesh Krishnan 2008-06-16 23:42:49 EDT
Created attachment 309566 [details]
ghc-curl-1.3.2-1.spec
Comment 2 Balbir Singh 2008-06-17 05:40:32 EDT
Please check the process https://fedoraproject.org/wiki/Packaging/Guidelines.
You need to bundle the SPEC file and the SRPM for review. I see the SPEC file,
please also point us to the source RPM. Other things to take care of

"Ensure you run rpmlint before uploading the source RPM"
Comment 3 Bryan O'Sullivan 2008-06-17 19:23:48 EDT
I am mass-closing these submissions, as they are completely useless and do not
follow any of the packaging guidelines.  Do not attempt to reopen them.

Note You need to log in before you can comment on or make changes to this bug.